curl https://flameproxies.com/api/customer/packages/PACKAGE_ID/remove-data \
-H "Authorization: Bearer fp_live_xxx" \
-H "Content-Type: application/json" \
-d '{"quantity":2}'
import requests
package_id = 123
resp = requests.post(
f"https://flameproxies.com/api/customer/packages/{package_id}/remove-data",
headers={"Authorization": "Bearer fp_live_xxx"},
json={"quantity": 2},
)
print(resp.json()["data_balance_gb"])
const packageId = 123;
const resp = await fetch(
`https://flameproxies.com/api/customer/packages/${packageId}/remove-data`,
{
method: "POST",
headers: {
Authorization: "Bearer fp_live_xxx",
"Content-Type": "application/json",
},
body: JSON.stringify({ quantity: 2 }),
}
);
console.log(await resp.json());
{
"package_id": 123,
"internal_id": "70437286-78a1-427c-b9fd-c299baadf3a9",
"subuser_id": "56789",
"plan": "residential",
"removed_gb": 2,
"removed_bytes": 2000000000,
"credited_gb": 2,
"data_balance_gb": 5,
"remaining_bytes": 8000000000
}
Packages
Remove data
Removes unused GB from a residential or premium residential package and credits it to your reusable GB credit balance.
POST
/
api
/
customer
/
packages
/
{id}
/
remove-data
curl https://flameproxies.com/api/customer/packages/PACKAGE_ID/remove-data \
-H "Authorization: Bearer fp_live_xxx" \
-H "Content-Type: application/json" \
-d '{"quantity":2}'
import requests
package_id = 123
resp = requests.post(
f"https://flameproxies.com/api/customer/packages/{package_id}/remove-data",
headers={"Authorization": "Bearer fp_live_xxx"},
json={"quantity": 2},
)
print(resp.json()["data_balance_gb"])
const packageId = 123;
const resp = await fetch(
`https://flameproxies.com/api/customer/packages/${packageId}/remove-data`,
{
method: "POST",
headers: {
Authorization: "Bearer fp_live_xxx",
"Content-Type": "application/json",
},
body: JSON.stringify({ quantity: 2 }),
}
);
console.log(await resp.json());
{
"package_id": 123,
"internal_id": "70437286-78a1-427c-b9fd-c299baadf3a9",
"subuser_id": "56789",
"plan": "residential",
"removed_gb": 2,
"removed_bytes": 2000000000,
"credited_gb": 2,
"data_balance_gb": 5,
"remaining_bytes": 8000000000
}
Removes unused GB from an existing residential or premium residential package and credits it to your reusable Customer API GB credit balance. GB credits are spent automatically on your next create order or add data call, before your wallet balance.
Use it to move bandwidth between packages: remove GB from one package, then add it to another.
A package must keep at least 0.01 GB after removal.
string
required
ID of the package to remove data from, from list packages.
number
required
Number of unused GB to remove.
curl https://flameproxies.com/api/customer/packages/PACKAGE_ID/remove-data \
-H "Authorization: Bearer fp_live_xxx" \
-H "Content-Type: application/json" \
-d '{"quantity":2}'
import requests
package_id = 123
resp = requests.post(
f"https://flameproxies.com/api/customer/packages/{package_id}/remove-data",
headers={"Authorization": "Bearer fp_live_xxx"},
json={"quantity": 2},
)
print(resp.json()["data_balance_gb"])
const packageId = 123;
const resp = await fetch(
`https://flameproxies.com/api/customer/packages/${packageId}/remove-data`,
{
method: "POST",
headers: {
Authorization: "Bearer fp_live_xxx",
"Content-Type": "application/json",
},
body: JSON.stringify({ quantity: 2 }),
}
);
console.log(await resp.json());
{
"package_id": 123,
"internal_id": "70437286-78a1-427c-b9fd-c299baadf3a9",
"subuser_id": "56789",
"plan": "residential",
"removed_gb": 2,
"removed_bytes": 2000000000,
"credited_gb": 2,
"data_balance_gb": 5,
"remaining_bytes": 8000000000
}
Response
number
Numeric package ID.
string
The package’s UUID.
string
ID of the sub-user behind this package.
string
Product:
residential or premium_residential.number
GB removed from the package.
number
Bytes removed from the package.
number
GB added to your GB credit balance.
number
Your GB credit balance after the removal.
number
Bytes left on the package after the removal.
